Loading...
Searching...
No Matches
irr::scene::ISkinnedMesh::SJoint Struct Reference

Joints. More...

`#include <ISkinnedMesh.h>`

## Public Member Functions

| SJoint ()

## Public Attributes

core::vector3df | Animatedposition
core::quaternion | Animatedrotation
core::vector3df | Animatedscale
core::array< u32 > | AttachedMeshes
| List of attached meshes.
core::array< SJoint * > | Children
| List of child joints.
core::matrix4 | GlobalAnimatedMatrix
core::matrix4 | GlobalInversedMatrix
core::matrix4 | GlobalMatrix
| Unnecessary for loaders, will be overwritten on finalize.
core::matrix4 | LocalAnimatedMatrix
core::matrix4 | LocalMatrix
| Local matrix of this joint.
core::stringc | Name
| The name of this joint.
core::array< SPositionKey > | PositionKeys
| Animation keys causing translation change.
core::array< SRotationKey > | RotationKeys
| Animation keys causing rotation change.
core::array< SScaleKey > | ScaleKeys
| Animation keys causing scale change.
core::array< SWeight > | Weights
| Skin weights.

## Friends

class | CSkinnedMesh
| Internal members used by CSkinnedMesh.

## Detailed Description

Joints.

Definition at line 125 of file ISkinnedMesh.h.

## Constructor & Destructor Documentation

## SJoint()

irr::scene::ISkinnedMesh::SJoint::SJoint | ( |  | ) |

inline

Definition at line 127 of file ISkinnedMesh.h.

Referenced by CSkinnedMesh.

## Friends And Related Symbol Documentation

## CSkinnedMesh

friend class CSkinnedMesh

friend

Internal members used by CSkinnedMesh.

Definition at line 168 of file ISkinnedMesh.h.

References SJoint(), and CSkinnedMesh.

Referenced by CSkinnedMesh.

## Member Data Documentation

## Animatedposition

core::vector3df irr::scene::ISkinnedMesh::SJoint::Animatedposition

Definition at line 160 of file ISkinnedMesh.h.

## Animatedrotation

core::quaternion irr::scene::ISkinnedMesh::SJoint::Animatedrotation

Definition at line 162 of file ISkinnedMesh.h.

## Animatedscale

core::vector3df irr::scene::ISkinnedMesh::SJoint::Animatedscale

Definition at line 161 of file ISkinnedMesh.h.

## AttachedMeshes

core::array<u32> irr::scene::ISkinnedMesh::SJoint::AttachedMeshes

List of attached meshes.

Definition at line 142 of file ISkinnedMesh.h.

## Children

core::array<SJoint*> irr::scene::ISkinnedMesh::SJoint::Children

List of child joints.

Definition at line 139 of file ISkinnedMesh.h.

## GlobalAnimatedMatrix

core::matrix4 irr::scene::ISkinnedMesh::SJoint::GlobalAnimatedMatrix

Definition at line 158 of file ISkinnedMesh.h.

## GlobalInversedMatrix

core::matrix4 irr::scene::ISkinnedMesh::SJoint::GlobalInversedMatrix

Definition at line 164 of file ISkinnedMesh.h.

## GlobalMatrix

core::matrix4 irr::scene::ISkinnedMesh::SJoint::GlobalMatrix

Unnecessary for loaders, will be overwritten on finalize.

Definition at line 157 of file ISkinnedMesh.h.

## LocalAnimatedMatrix

core::matrix4 irr::scene::ISkinnedMesh::SJoint::LocalAnimatedMatrix

Definition at line 159 of file ISkinnedMesh.h.

## LocalMatrix

core::matrix4 irr::scene::ISkinnedMesh::SJoint::LocalMatrix

Local matrix of this joint.

Definition at line 136 of file ISkinnedMesh.h.

## Name

core::stringc irr::scene::ISkinnedMesh::SJoint::Name

The name of this joint.

Definition at line 133 of file ISkinnedMesh.h.

## PositionKeys

core::array<SPositionKey> irr::scene::ISkinnedMesh::SJoint::PositionKeys

Animation keys causing translation change.

Definition at line 145 of file ISkinnedMesh.h.

## RotationKeys

core::array<SRotationKey> irr::scene::ISkinnedMesh::SJoint::RotationKeys

Animation keys causing rotation change.

Definition at line 151 of file ISkinnedMesh.h.

## ScaleKeys

core::array<SScaleKey> irr::scene::ISkinnedMesh::SJoint::ScaleKeys

Animation keys causing scale change.

Definition at line 148 of file ISkinnedMesh.h.

## Weights

core::array<SWeight> irr::scene::ISkinnedMesh::SJoint::Weights

Skin weights.

Definition at line 154 of file ISkinnedMesh.h.

The documentation for this struct was generated from the following file:

- ISkinnedMesh.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0